package org.holer.server.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;


public class HolerStatus {
    @Expose(serialize = false, deserialize = false)
    private Integer code;
    @Expose(serialize = false, deserialize = false)
    private String msg;
    @SerializedName("message_Zh_CN")
    private String msgZhCN;
    @SerializedName("message_En_US")
    private String msgEnUS;

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public void setMsgZhCN(String msgZhCN) {
        this.msgZhCN = msgZhCN;
    }

    public void setMsgEnUS(String msgEnUS) {
        this.msgEnUS = msgEnUS;
    }


    public String toString() {
        return "HolerStatus(code=" + getCode() + ", msg=" + getMsg() + ", msgZhCN=" + getMsgZhCN() + ", msgEnUS=" + getMsgEnUS() + ")";
    }


    public Integer getCode() {
        return this.code;
    }


    public String getMsg() {
        return this.msg;
    }


    public String getMsgZhCN() {
        return this.msgZhCN;
    }


    public String getMsgEnUS() {
        return this.msgEnUS;
    }
}
